### Method

# WebKit UserContentFilterStore fetch_identifiers

#### Declaration [src]

    void
    webkit_user_content_filter_store_fetch_identifiers (
      WebKitUserContentFilterStore* store,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously retrieve a list of the identifiers for all the stored filters.

When the operation is finished, `callback` will be invoked, which then can use `webkit_user_content_filter_store_fetch_identifiers_finish()` to obtain the list of filter identifiers.

Available since: | 2.24

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the removal is completed.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to the callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.